PGI 19.10 with HDF5 1.8.17

Questions on using the PGI Compilers and Tools
Post Reply
sumseq
Posts: 141
Joined: Nov 27 2012

PGI 19.10 with HDF5 1.8.17

Post by sumseq » Wed Nov 06, 2019 3:23 pm

Hi,

I am installing HDF5 1.8.17 from source using PGI 19.10.
The package has installed with all prior versions of PGI.

With 19.10, I have successfully installed it on two systems but on my laptop (with the same OS and setup as the other systems) the compilation is failing with things like:

PGC-S-0039-Use of undeclared variable stdout (istore.c: 574)
PGC-S-0040-Illegal use of symbol, int (istore.c: 600)

Since it worked on another system, is there just something missing? On the other systems I have previous PGI installations still in the pgi directory whereas the laptop only has 19.10.

Any ideas?

- Ron

mkcolg
Posts: 8107
Joined: Jun 30 2004

Re: PGI 19.10 with HDF5 1.8.17

Post by mkcolg » Thu Nov 07, 2019 2:00 pm

Hi Ron,

Sorry, not sure. I tried and the file compiles fine for me. I did notice that "istore.c" does contain "^L" (form feed) characters in it. Maybe these are causing problems on your laptop?

-Mat

Post Reply